import java.io.IOException;

public class LearningClassifiers {
	public static void main(String[] args) throws IOException, InterruptedException {
		int method = Integer.valueOf(args[0]);
		int cv = Integer.valueOf(args[3]);
		switch(method){
		case 1: new NaiveBayes(args[1], args[2], cv); break;
		case 2: new GBN_CMDL(args[1], args[2], cv); break;
		case 3: new BNC2P(args[1], args[2], cv); break;
		case 4: new TAN_aCLL(args[1], args[2], cv); break;
		case 5: new gGBN_BDeu(args[1], args[2], cv); break;
		case 6: new MCDAGGES(args[1], args[2], cv); break;
		case 7: new GBN_BDeu(args[1], args[2], cv); break;
		case 8: new ANB_BDeu(args[1], args[2], cv); break;
		case 9:
			int fsMethod = Integer.valueOf(args[4]);
			if(fsMethod != 1){
				new fsANB_BDeu(args[1], args[2], cv, fsMethod);
			}else{
				if(args.length >= 6){
					double ess = Integer.valueOf(args[5]);
					double delta = Integer.valueOf(args[6]);
					new fsANB_BDeu(args[1], args[2], cv, ess, delta);
				}else{
					new fsANB_BDeu(args[1], args[2], cv);
				}
			}
			break;
		default: System.out.println("Method number is invalid."); System.exit(0);
		}
	}
}
